Skip to main content
PUT
Bulk Update Price

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
fields
string[]
required

Which columns to write: price, price_slash, cost, recurring_price.

Example:
mode
string
required

One of set, clear, increase_percentage, decrease_percentage, increase_fixed, decrease_fixed.

Example:

"increase_percentage"

product_ids
integer[]

The products to update. The balance product is skipped.

Example:
all
boolean
Example:

false

value
number

The new price, the percentage, or the amount. Ignored by the clear mode.

Example:

10

Response

200 - application/json
success
boolean
Example:

true

message
string
Example:

"Products updated successfully"

updated_count
integer
Example:

2

skipped_count
integer
Example:

0

skipped_product_ids
array
Example: